Page MenuHomePhabricator

[gicombiner] Add support for arbitrary match data being passed from match to apply
ClosedPublic

Authored by dsanders on Oct 17 2019, 3:33 PM.

Details

Summary

This is used by the extending_loads combine to tell the apply step which
use is the preferred one to fold and the other uses should be re-written
to consume.

Depends on D69117

Diff Detail

Event Timeline

dsanders created this revision.Oct 17 2019, 3:33 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 17 2019, 3:33 PM
volkan accepted this revision.Nov 15 2019, 10:49 AM

LGTM.

llvm/test/CodeGen/AArch64/GlobalISel/prelegalizercombiner-concat-vectors.mir
22 ↗(On Diff #225539)

These changes doesn't look relevant, could you double check?

This revision is now accepted and ready to land.Nov 15 2019, 10:49 AM
dsanders marked an inline comment as done.Dec 17 2019, 11:13 AM
dsanders added inline comments.
llvm/test/CodeGen/AArch64/GlobalISel/prelegalizercombiner-concat-vectors.mir
22 ↗(On Diff #225539)

Looks like it was caused by a bad rebase that lost the G_CONCAT_VECTORS case. I'm testing a fix for that and if all goes well I'll push this tomorrow.

dsanders updated this revision to Diff 234507.Dec 18 2019, 4:23 AM

Update before commit (and because arcanist keeps pulling down the wrong commit message)

This revision was automatically updated to reflect the committed changes.